# IComponentAnim Struct Reference
[Shell Interfaces]

Inheritance diagram for IComponentAnim:

List of all members.

## Public Member Functions
virtual void MCCOMAPI | Clone (IComponentAnim **res, ECloneMode mode) const =0
virtual void MCCOMAPI | CopyComponentAnimData (ECloneMode mode, IComponentAnim *destination, IDType partID=0)=0
virtual void MCCOMAPI | ModifyData (const IComponentAnim *oldIComponentAnim)=0
virtual void MCCOMAPI | ModifyOneData (const IComponentAnim *oldIComponentAnim, IDType partID)=0
virtual void MCCOMAPI | SetWireFrameState (EWireFrameState wfState)=0
virtual EWireFrameState MCCOMAPI | GetWireFrameState () const =0

## Detailed Description

IComponentAnim is used to manipulate the animated part of a Component. (see IShComponent and IShParameterComponent)

## Member Function Documentation

virtual void MCCOMAPI IComponentAnim::Clone | ( | IComponentAnim ** | res,
|  | ECloneMode | mode |
| ) |  |  | const`[pure virtual]`

Makes a copy of the component with or without its animation data

Parameters:

  | res | The copy of the component.
  | mode | The clone mode (see ECloneMode).

virtual void MCCOMAPI IComponentAnim::CopyComponentAnimData | ( | ECloneMode | mode,
|  | IComponentAnim * | destination,
|  | IDType | partID = `0` |
| ) |  |  | `[pure virtual]`

Copy the Component data into 'destination'.

Parameters:

  | mode | The clone mode (see ECloneMode).
  | destination | The destination component
  | partID | If partID != 0, then only the animated data with this ID will be copied.

virtual EWireFrameState MCCOMAPI IComponentAnim::GetWireFrameState | ( |  | ) | const`[pure virtual]`

Returns the display state of the wireframes.

virtual void MCCOMAPI IComponentAnim::ModifyData | ( | const IComponentAnim * | oldIComponentAnim | ) | `[pure virtual]`

ModifyData will generate keyframes by comparing the old component to the current one. Keyframes are generated only when data is different for the current time

Parameters:

  | oldIComponentAnim | The component anim that is compared.

virtual void MCCOMAPI IComponentAnim::ModifyOneData | ( | const IComponentAnim * | oldIComponentAnim,
|  | IDType | partID |
| ) |  |  | `[pure virtual]`

Same as ModifyData() but you can specify the data that should be compared by giving its animated part ID. Giving 0 gives the same result as calling ModifyData().

Parameters:

  | oldIComponentAnim |
  | partID |

virtual void MCCOMAPI IComponentAnim::SetWireFrameState | ( | EWireFrameState | wfState | ) | `[pure virtual]`

Set whether the manipulation wireframes of this component should be displayed] or not

Parameters:

  | wfState | see EWireFrameState

The documentation for this struct was generated from the following file:

- IComponentAnim.h